Subject: Re: ND on multi-homed nodes

From: Tim Hartrick <[email-masked]>
Date: Sat, 30 Oct 1999 12:53:47 -0700 (PDT)

Sam,

> 
> I'm not following the list 100%, so my apologies in advance if this
> is a stupid/already answered question.  Address resolution of link-local
> addresses on multi-homed nodes appears to require neighbour discovery
> on all interfaces of that node.  I was wondering how others have
> decided to implement this as I would like to follow the norm (if
> there is one) for IRIX.
> 
> I see on a Solaris box we have (which is still running 2.5, so this
> may have changed) that there are multiple network routes allowed
> and there is a route for fe80::/10 for each interface.  I assume
> that stack performs ND for each route.  Is this how others have
> tackled this?
> 

I think that the intention is that you should attempt to resolve the address
using the interface specified in the sin6_scope_id.  If an interface is not
specified you pick one.  The burden of dealing with the ambiguities of scoped
addresses has been pushed out to the application in this case.

Others may have differing opinions on this by I don't know that I have seen
an implementation try all its interfaces in the face of scope ambiguity.

Tim Hartrick
Mentat Inc.
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: [email-masked] (Sam Manthorpe)
Date: Sat, 30 Oct 1999 14:57:39 -0700 (PDT)

Tim,

> addresses has been pushed out to the application in this case.

Thanks for the reply.  I guess that does make sense in that for
site-local addresses there really is no way for the kernel to
know what interface to use so you need to use the scope-id there 
so why not use the same mechanism for link-locals.

-- Sam

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Sam Manthorpe, SGI.  tel: (650)933-2856 fax: (650)932-2856  [email-masked]
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Francis Dupont <[email-masked]>
Date: Sun, 31 Oct 1999 16:17:59 +0100

In your previous mail you wrote:

=> this was possible before the new API (RFC 2553), in fact I used this
in my implementation. But today the standard interface has a good
support for scope ids then I believe it is better to implement some
kinds of default interface (this covers mono-interface hosts and
multi-interface nodes where almost all the traffic goes through one
interface, ie. two very common cases).

Regards

[email-masked]